classification
Title: Doc for sys.exc_info has warning that is no longer valid
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, ghewgill, python-dev
Priority: normal Keywords: easy

Created on 2009-11-17 18:12 by ghewgill, last changed 2013-01-15 21:49 by python-dev. This issue is now closed.

Messages (2)
msg95393 - (view) Author: Greg Hewgill (ghewgill) Date: 2009-11-17 18:12
Based on a short discussion on python-dev: 
http://mail.python.org/pipermail/python-dev/2009-November/094306.html

the "Warning" box in the documentation for sys.exc_info needs to be 
updated in light of PEP 3134, and perhaps moved elsewhere since the 
circular reference problem can now occur whether or not the traceback 
returned by sys.exc_info is used.

It might also be worth mentioning that the way to break the circular 
reference, if necessary, is to explicitly set the __traceback__ member 
of the handled exception to None.
msg180057 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-01-15 21:49
New changeset 3fa3e7975724 by Benjamin Peterson in branch '3.3':
remove warning about tb circular reference (closes #7340)
http://hg.python.org/cpython/rev/3fa3e7975724

New changeset d866bbdd68e8 by Benjamin Peterson in branch 'default':
merge 3.3 (#7340)
http://hg.python.org/cpython/rev/d866bbdd68e8
History
Date User Action Args
2013-01-15 21:49:42python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg180057

resolution: accepted -> fixed
stage: needs patch -> resolved
2013-01-15 19:22:58serhiy.storchakasetkeywords: + easy
versions: + Python 3.3, Python 3.4, - Python 3.1
2010-07-11 11:30:11eric.araujosetstage: needs patch
resolution: accepted
versions: - Python 3.0
2010-07-11 10:50:29BreamoreBoysetassignee: georg.brandl -> docs@python

nosy: + docs@python
2009-11-17 18:12:45ghewgillcreate